Ubuntu

Lenovo ThinkPad T420 random hardlocks with Sandy Bridge graphics

Reported by robled on 2011-06-04
98
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I would experience 1-2 hardlocks per day when running 11.04 on my T420. System was completely unresponsive and required a hard reset. I kept an eye on syslog and Xorg.0.log, but not once did I ever get any messages during the time of the lockup. I was not able to find a correlation between any particular type of usage, nor could I reproduce the problem other than just using the system for a full day.

With little information to go on other than reports of incomplete support for Intel Sandy Bridge graphics in 11.04, I started experimenting with newer packages. After more than a week of testing, the stability of my system has greatly improved after installing the xorg-edgers PPA and the following kernel:

http://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next-proposed/current/

I apologize for the incompleteness of this report, but I just wanted to make a record of what works and what doesn't work for the T420 on Ubuntu 11.04.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xorg 1:7.6+4ubuntu3
Uname: Linux 2.6.39-994-generic x86_64
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
CompositorRunning: compiz
DRM.card0.DP.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.DP.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.2:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.HDMI.A.3:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
DRM.card0.LVDS.1:
 status: connected
 enabled: enabled
 dpms: On
 modes: 1600x900 1600x900
 edid-base64: AP///////wAGrz4hAAAAACEUAQSQHxF4AmGVnFlSjyYhUFQAAAABAQEBAQEBAQEBAQEBAQEB+CpAmmGEDDBAKjMANa4QAAAYpRxAmmGEDDBAKjMANa4QAAAYAAAA/gBBVU8KICAgICAgICAgAAAA/gBCMTQwUlcwMiBWMSAKANA=
DRM.card0.VGA.1:
 status: disconnected
 enabled: disabled
 dpms: Off
 modes:
 edid-base64:
Date: Sat Jun 4 12:53:51 2011
DistUpgraded: Fresh install
DistroCodename: natty
DistroVariant: ubuntu
DkmsStatus:
 vboxhost, 4.0.8, 2.6.38-8-generic, x86_64: installed
 vboxhost, 4.0.8, 2.6.39-994-generic, x86_64: installed
EcryptfsInUse: Yes
GraphicsCard:
 Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Lenovo Device [17aa:21ce]
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64 (20110426)
MachineType: LENOVO 4177CTO
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-2.6.39-994-generic root=/dev/mapper/vg0-root ro noplymouth
Renderer: Unknown
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 05/13/2011
dmi.bios.vendor: LENOVO
dmi.bios.version: 83ET56WW (1.26 )
dmi.board.asset.tag: Not Available
dmi.board.name: 4177CTO
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr83ET56WW(1.26):bd05/13/2011:svnLENOVO:pn4177CTO:pvrThinkPadT420:rvnLENOVO:rn4177CTO:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 4177CTO
dmi.product.version: ThinkPad T420
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu2
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.25+git20110515.61be9401-0ubuntu0sarvatt
version.libgl1-mesa-dri: libgl1-mesa-dri 7.11.0+git20110603.6491e959-0ubuntu0sarvatt~natty
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.11.0+git20110603.6491e959-0ubuntu0sarvatt~natty
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99+git20110601.cbcc57b0-0ubuntu0sarvatt~natty
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.15.0+git20110531.340cfb7f-0ubuntu0sarvatt2~natty
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110323.8378443b-0ubuntu0sarvatt

robled (robled) wrote :
Shimi Chen (shimi-chen) on 2011-06-08
affects: ubuntu → linux (Ubuntu)
Brad Figg (brad-figg) on 2011-06-08
Changed in linux (Ubuntu):
status: New → Confirmed
dansheen (dansheen) wrote :

This affects me, too. Identical symptoms to what NTolerance reports.
NTolerance is running the next-proposed kernel, it seems. I tried that, too. No changes. Switched to 39.0 - same problems. Also with and without xorg-intel drivers from xorg/edgers made no difference. Random crashes, when connecting/removing external screen. Also experiencing random crashes when resuming from suspend to ram. I notice that changing to other X Terminal Ctrl-Alt-F8 and then back to Ctrl-Alt-F7 (can sometimes) bring X back. Sometimes not, then I restart service gdm.

robled (robled) wrote :

Yeah, after I created this bug report I ran into some issues with the kernel I was running at the time and now I'm running Linux 3.0!

3.0.0-999-generic #201106081005

This build has not locked up on me in at least 4 full days of use. Keep in mind that I did go several days on the last kernel without lockups. I'm going to continue to test and I'll update this report with my findings.

Dag Rende (dag-s) wrote :

How is it going, NTolerance?
Is the T420 stable?
Do you experience much running 3.0 with ubuntu, apart from any hardware problems?

I hesitate to buy a T420 until I hear at least a few success stories with ubuntu on it.

robled (robled) wrote :

Stability has been flawless with this kernel from the kernel PPA:

3.0.0-999-generic #201106081005 SMP Wed Jun 8 10:09:57 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

I'm also running a slighly outdated set of packages from the xorg-edgers PPA. I enabled the PPA to get some necessary stuff, but then disabled it once I reached stability, which I have. I've attached a list of my installed xorg packages for reference.

Mathias Dietrich (theghost) wrote :

I have these lockups on my Lenovo T520 as well. The system locks up completly but randomly. Nothing improved with the few sandybridge patches and the update to 2.6.38-10.

The only information I have, that this lockups occur running a compiz accelerated desktop.
Additionally these problems occured more often while usage of java applications (like libreoffice or oracle sql developer).

I am now testing whether using a metacity desktop improves anything.

Jonathan Davies (jpds) on 2011-08-04
Changed in linux (Ubuntu):
importance: Undecided → Medium
Robert Hooker (sarvatt) wrote :

Can you ssh in to the machine from another system when this happens? If so, can you check if the 2.6.38-11 kernel that is in natty-proposed fixes this problem? There was a fix for for these symptoms in that kernel that was also included in 3.0-rc4, but if you can't ssh into the machine then it is a different bug. I do believe it should be fixed in 2.6.38-11 though going from these logs and lack of an actual GPU hang.

Robert Hooker (sarvatt) wrote :

I should mention I'm asking if that kernel works without using xorg-edgers, there are very likely other freezes caused by a new acceleration architecture being used by intel in that PPA.

Jonathan Davies (jpds) wrote :

The proposed kernel (2.6.38-11) does not resolve this issue.

Jonathan Davies (jpds) wrote :
Jonathan Davies (jpds) wrote :
cmer (cmer47) wrote :

I am affected by this, too. Do you propose to install the kernel 3.0? Will this make the system run stable, and if so, with or without Compiz effects?

dansheen (dansheen) wrote :

Kernel 3.0 runs a lot more stable but not 100%. When unplugging the machine from the docking station without turning off the external monitor before it might still crash. But it's certainly improved. I used the kernel from here:
http://kernel.ubuntu.com/~kernel-ppa/mainline/
Only concern I have is that AppArmor complains about missing some compatibility patch which I haven't done any research on, yet. If you find a stock standard kernel with the patch included, let me know.

cmer (cmer47) wrote :

I have this "undocking without turning off ext. monitor" issue, too (I am using the 2.6.38-11 stock kernel).
Ok, but apart from that, using the 3.0 kernel solves the random hardlocks? That would already be a huge improvement. I'll maybe give it a try later.

cmer (cmer47) wrote :

Have been using these past few days Gnome without effects, and it's running stable - no crash since then. This might be for others another (temporal) alternative to getting the 3.0 Kernel.

Garry (s61kiwi) wrote :

Same issue with random hard locks. Now running using Ubuntu Classic (No effects) and have had no lock ups for 3 days.

Will see what 11.10 Beta 1 brings and may upgrade to that to see if the problem goes away.

T420, 11.04, Kenel 2.6.38-11-generic, Gnome 2.32.1

Garry (s61kiwi) wrote :

Scratch the above. Restarted again to test (in classic no effects). As Skype was starting after login ... complete hard lock. I'm stumped. Gotta be a Kernel issue.

I see this on my i7 x220. Hard to say if it's the same cause, but it seems quite likely. No errors in any logs I can see. I can't ssh in to my machine when this happens, it's more than a GPU hang.

Hello everyone. I started a new job last month where I got a ThinkPad T420 with Ubuntu 10.10 on it. I also experience this sort of assorted hard locks without any recognizable pattern. Sometimes it can go 3 or 4 days without trouble and suddenly locks 3 or 4 times in a few hours.

We have several ThinkPad laptops at the office and all of them experienced similar problems in the past. For older models, like the T410, disabling the video card at the BIOS seems to solve the problem, but for the newer T420 models this hasn't been the case. So far the suggestion here to replace the kernel with version 3.0 is the only solution reported as successful on the web.

Yesterday the new Ubuntu release came out and it comes with this newer version of the kernel. Can anyone confirm that this new release of Ubuntu solves this hard lock issue for the T420?

Thank you.

Garry (s61kiwi) wrote :

I can confirm that the problem is gone in 11.10 on the T420. I upgraded early in the Beta phase because it was such an issue for me and have had no lock ups since.

For what its worth I think its worth the upgrade to 11.10. I find it much more polished and stable than 11.04.

Cheers

Thank you Garry. I'll try to have an upgrade.

Hello everyone,

I can confirm that upgrading to Ubuntu 11.10 effectively solved this problem on my T420 and in another one of a colleague. Unfortunately the upgrade also removed some of the software I use the most (Lotus Notes) meaning that I'm back to Windows :(

Luís

robled (robled) wrote :

No issues in 2+ days of use with Oneiric on my T420. Well done.

I'm back, guess why. After 10 days of Ubuntu 11.10 I just I had an hard lock exactly in the same fashion of those I had with previous versions. Perhaps the new kernel simply reduces the frequency of these events, it doesn't avoid them absolutely.

To add another example. I also experience hardlocks with my Sandybridge T420. Keyboard input and mouse input is unresponsive, all applications stop updating.

This problem happens seemingly randomly, though it appears to happen more immediately after resuming from suspend. A hardlock ALWAYS occurs after running Open Office Calc for a few minutes. And it happens fairly often with Present. So I switched to gnumeric spreadsheet, and hardlocks are at least less frequent.

Thanks for any tips,
Charles

To add to my above comment, I'm running 11.10 and this has NOT fixed the problem. To those that don't have the problem in 11.10: do you have Sandy Bridge or another graphics card?

Are you running x64 as I am?

Dag Rende (dag-s) wrote :

I have a T420s and its the most stable PC I have ever had. I run Ubuntu 11.10 (see how at http://dagrende.blogspot.com).
However, LibreOffice Impress crashes too often to be usable. But the machine doesn't lock.

I've not had a single lock up on my x220 since installing oneiric (I had strange, likely unrelated, problems after upgrading).

Dag Rende: What shell are you running? Gnome3 or Unity?

If you're not having issues with T420s, maybe it's due to my SSD, bluetooth, or getting an Intel Wifi module instead of the default thinkpad one.

Which of the T420s models did you get? http://shop.lenovo.com/us/laptops/thinkpad/t-series/t420s

I'm trying to determine what hardware difference is the root cause.

Thanks,
Charles

Dag Rende (dag-s) wrote :

Charles,

I have a 4174-P4G.
I'm running Unity.

Attatch output of lshw, lspci and lsusb.

Regards,
Dag

Dag Rende (dag-s) wrote :

Here is my lspci:

00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
05:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 04)
0d:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 04)

and my lsusb:

Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 001 Device 004: ID 04f2:b221 Chicony Electronics Co., Ltd
Bus 002 Device 054: ID 0bdb:1911 Ericsson Business Mobile Networks BV

Regards,
Dag

Dag: I switched to xfce and rox-filer shell / file manager and it happened again, immediately after resuming from suspend. So we can rule out Unity as the issue.

I'm not sure how to use lshw, looks like I have to do sudo lshw > some_text_file prior to the crash? Here are the other outputs.

lspci output:
00:00.0 Host bridge: Intel Corporation 2nd Generation Core Processor Family DRAM Controller (rev 09)
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
00:16.0 Communication controller: Intel Corporation 6 Series/C200 Series Chipset Family MEI Controller #1 (rev 04)
00:16.3 Serial controller: Intel Corporation 6 Series/C200 Series Chipset Family KT Controller (rev 04)
00:19.0 Ethernet controller: Intel Corporation 82579LM Gigabit Network Connection (rev 04)
00:1a.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2 (rev 04)
00:1b.0 Audio device: Intel Corporation 6 Series/C200 Series Chipset Family High Definition Audio Controller (rev 04)
00:1c.0 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 1 (rev b4)
00:1c.1 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 2 (rev b4)
00:1c.3 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 4 (rev b4)
00:1c.4 PCI bridge: Intel Corporation 6 Series/C200 Series Chipset Family PCI Express Root Port 5 (rev b4)
00:1d.0 USB Controller: Intel Corporation 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1 (rev 04)
00:1f.0 ISA bridge: Intel Corporation QM67 Express Chipset Family LPC Controller (rev 04)
00:1f.2 SATA controller: Intel Corporation 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller (rev 04)
00:1f.3 SMBus: Intel Corporation 6 Series/C200 Series Chipset Family SMBus Controller (rev 04)
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
0d:00.0 System peripheral: Ricoh Co Ltd Device e823 (rev 05)
0d:00.3 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev 04)

lsusb:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 04f2:b221 Chicony Electronics Co., Ltd

Dag: Interesting, we both have the Intel Centrino UItimate-N wifi module. That wasn't the default--I ordered mine through lenovo directly. I wonder if it's hard-locking when it tries to connect to an AP?

dmesg appears to flush every time I reboot. What's a good way to get general hardware messages from a hard-lock?

Thanks,
Charles

OK lshw was just incredibly slow to run, perhaps while my wifi was connecting. Here's the output with -short:

H/W path Device Class Description
=========================================================
                               system 4177CTO ()
/0 bus 4177CTO
/0/1 processor Intel(R) Core(TM) i5-2520M CPU @ 2.50GHz
/0/1/2 memory 64KiB L1 cache
/0/1/3 memory 256KiB L2 cache
/0/1/4 memory 3MiB L3 cache
/0/5 memory 8GiB System Memory
/0/5/0 memory 4GiB SODIMM DDR3 Synchronous 1333 MHz (0.8 ns)
/0/5/1 memory 4GiB SODIMM DDR3 Synchronous 1333 MHz (0.8 ns)
/0/f memory 128KiB BIOS
/0/100 bridge 2nd Generation Core Processor Family DRAM Controller
/0/100/2 display 2nd Generation Core Processor Family Integrated Graphics Controller
/0/100/16 communication 6 Series/C200 Series Chipset Family MEI Controller #1
/0/100/16.3 communication 6 Series/C200 Series Chipset Family KT Controller
/0/100/19 eth0 network 82579LM Gigabit Network Connection
/0/100/1a bus 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
/0/100/1b multimedia 6 Series/C200 Series Chipset Family High Definition Audio Controller
/0/100/1c bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 1
/0/100/1c.1 bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 2
/0/100/1c.1/0 wlan0 network Centrino Ultimate-N 6300
/0/100/1c.3 bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 4
/0/100/1c.4 bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 5
/0/100/1c.4/0 generic Ricoh Co Ltd
/0/100/1c.4/0.3 bus FireWire Host Controller
/0/100/1d bus 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
/0/100/1f bridge QM67 Express Chipset Family LPC Controller
/0/100/1f.2 scsi0 storage 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
/0/100/1f.2/0 /dev/sda disk 160GB INTEL SSDSA2M160
/0/100/1f.2/0/1 /dev/sda1 volume 141GiB EXT4 volume
/0/100/1f.2/0/2 /dev/sda2 volume 8074MiB Extended partition
/0/100/1f.2/0/2/5 /dev/sda5 volume 8074MiB Linux swap / Solaris partition
/0/100/1f.2/1 /dev/cdrom disk DVD RW AD-7710H
/0/100/1f.3 bus 6 Series/C200 Series Chipset Family SMBus Controller
/1 power 42T4912

Sincerely grateful for any hints on solving this bug!

Dag Rende (dag-s) wrote :
Download full text (6.2 KiB)

I'm too little of a linux hacker to be able to diagnose your problem. But here is first the short lshw (thank you for hinting about this copact printout).
I also include a lsmod to show which drivers are running.

dag@tp:~$ sudo lshw -short
H/W path Device Class Description
============================================================
                                  system 4174P4G ()
/0 bus 4174P4G
/0/1 processor Intel(R) Core(TM) i7-2620M CPU @ 2.70GHz
/0/1/2 memory 64KiB L1 cache
/0/1/3 memory 256KiB L2 cache
/0/1/4 memory 4MiB L3 cache
/0/5 memory 8GiB System Memory
/0/5/0 memory 4GiB SODIMM DDR3 Synchronous 1333 MHz (0.8 ns)
/0/5/1 memory 4GiB SODIMM DDR3 Synchronous 1333 MHz (0.8 ns)
/0/f memory 128KiB BIOS
/0/100 bridge 2nd Generation Core Processor Family DRAM Controller
/0/100/2 display 2nd Generation Core Processor Family Integrated Graphics Controller
/0/100/16 communication 6 Series/C200 Series Chipset Family MEI Controller #1
/0/100/16.3 communication 6 Series/C200 Series Chipset Family KT Controller
/0/100/19 eth0 network 82579LM Gigabit Network Connection
/0/100/1a bus 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
/0/100/1b multimedia 6 Series/C200 Series Chipset Family High Definition Audio Controller
/0/100/1c bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 1
/0/100/1c.1 bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 2
/0/100/1c.1/0 wlan0 network Centrino Ultimate-N 6300
/0/100/1c.3 bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 4
/0/100/1c.3/0 generic Ricoh Co Ltd
/0/100/1c.4 bridge 6 Series/C200 Series Chipset Family PCI Express Root Port 5
/0/100/1c.4/0 bus uPD720200 USB 3.0 Host Controller
/0/100/1d bus 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
/0/100/1f bridge QM67 Express Chipset Family LPC Controller
/0/100/1f.2 scsi0 storage 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
/0/100/1f.2/0.0.0 /dev/sda disk 160GB INTEL SSDSA2BW16
/0/100/1f.2/0.0.0/1 /dev/sda1 volume 131GiB EXT4 volume
/0/100/1f.2/0.0.0/2 /dev/sda2 volume 17GiB Extended partition
/0/100/1f.2/0.0.0/2/5 /dev/sda5 volume 8276MiB Linux swap / Solaris partition
/0/100/1f.2/0.0.0/2/6 /dev/sda6 volume 9537MiB Linux filesystem partition
/0/100/1f.3 ...

Read more...

This is quite surprising to me, but I switched to Chromium from Chrome and I haven't seen a hardlock since my last post. This comment on Google's help section confirms this as a possibility:
http://www.google.com/support/forum/p/Chrome/thread?tid=7493a9fc196ea8be&hl=en

This thread also reports the problem for someone using a Thinkpad T61p:
http://ubuntuforums.org/showthread.php?t=1470623

That person claims the hardlocks also occur with Chromium, but I haven't experienced them yet.

Please if someone with hardlocks using Chrome could switch to Chromium to see if this fixes the issue for you as well.

Thanks!
Charles

Dag Rende (dag-s) wrote :

Interesting! I actually switched to Chromium about four months ago in 32bit 11.04. A Chrome release caused Chrome to start blocking for some 20s on each link/bookmark I navigated. I checked some forums and tried Chromium that worked fine. Some Chrome releases later I tried Chrome again but the problem remained, so I gave up. And what makes Chrome better? Happier color of the icon? More Google snooping functions for?

Regards,
Dag

Garry (s61kiwi) wrote :

I've run chromium from day 1 and it still hard locked on 11.04. I have not had a single hard lock on 11.10.

H/W path Device Class Description
========================================================
                              system 41785PA ()
/0 bus 41785PA
/0/1 processor Intel(R) Core(TM) i5-2410M CPU @ 2.
/0/1/2 memory 64KiB L1 cache
/0/1/3 memory 256KiB L2 cache
/0/1/4 memory 3MiB L3 cache
/0/5 memory 4GiB System Memory
/0/5/0 memory 4GiB SODIMM DDR3 Synchronous 1333 M
/0/5/1 memory DIMM [empty]
/0/e memory 128KiB BIOS
/0/100 bridge 2nd Generation Core Processor Famil
/0/100/2 display 2nd Generation Core Processor Famil
/0/100/16 communication 6 Series/C200 Series Chipset Family
/0/100/19 eth0 network 82579LM Gigabit Network Connection
/0/100/1a bus 6 Series/C200 Series Chipset Family
/0/100/1b multimedia 6 Series/C200 Series Chipset Family
/0/100/1c bridge 6 Series/C200 Series Chipset Family
/0/100/1c.1 bridge 6 Series/C200 Series Chipset Family
/0/100/1c.1/0 wlan0 network Centrino Advanced-N 6205
/0/100/1c.3 bridge 6 Series/C200 Series Chipset Family
/0/100/1c.4 bridge 6 Series/C200 Series Chipset Family
/0/100/1c.4/0 generic Ricoh Co Ltd
/0/100/1d bus 6 Series/C200 Series Chipset Family
/0/100/1f bridge QM67 Express Chipset Family LPC Con
/0/100/1f.2 scsi0 storage 6 Series/C200 Series Chipset Family
/0/100/1f.2/0 /dev/sda disk 300GB INTEL SSDSA2CW30
/0/100/1f.2/0/1 /dev/sda1 volume 18GiB EXT4 volume
/0/100/1f.2/0/2 /dev/sda2 volume 257GiB EXT4 volume
/0/100/1f.2/0/3 /dev/sda3 volume 3814MiB Extended partition
/0/100/1f.2/0/3/5 /dev/sda5 volume 3814MiB Linux swap / Solaris partit
/0/100/1f.2/1 /dev/sdb disk 200GB Hitachi HTS72202
/0/100/1f.2/1/1 /dev/sdb1 volume 186GiB EXT4 volume
/0/100/1f.3 bus 6 Series/C200 Series Chipset Family
/1 power 42T4791

Garry: so maybe Chromium + 11.04 = hardlocks, but Chromium + 11.10 = no hardlocks.

If I get a hardlock with Chromium I'll report it here and switch to firefox :-)

Got another hardlock even with Chromium. Switching to Firefox, will report if it freezes.

If someone else could comment if they've seen these with Ubuntu 11.10, Chrome/Chromium that would be great.

cmer (cmer47) wrote :

I am using Ubuntu 11.10 with Chromium and Firefox since October and I don't remember (read: 99% there weren't any) any hardlocks since then.

Did you have sync setup on Chromium? The link I posted above says it only happens when it syncs in the background. Also, how much do you use Firefox vs. Chromium? Obviously if you don't have Chromium open much it probably wouldn't happen.

Thanks for the info,
Charles

cmer (cmer47) wrote :

Well, Chromium and Firefox are running almost contiunously on my machine (am using the two for different purposes), however I don't use sync with Chromium.

Ah, thanks for the info. That's consistent with the bug that syncing causes the freezes.

I haven't had a freeze since switching to Firefox. Thanks everyone for your help and suggestions.

ultimatebuster (ultimatebusta) wrote :

Yes, I'm on Xubuntu 11.10 and it's been happening as well. When it hard freezes, the cap locks light doesn't even respond.

Also I can't HALT.

madbiologist (me-again) on 2012-03-06
Changed in linux (Ubuntu):
status: Confirmed → Fix Released
madbiologist (me-again) wrote :

According to the reports above, the original bug has been fixed in 11.10 Oneiric. The hardlocking bug on 11.10 with Chrome/Chromium sync is likely to be a different bug and would be easier to fix if someone filed a new bug report, thus automatically capturing all the relevant hardware info and system event logs.

Casey Marshall (cmars) wrote :

This bug is not fixed oneiric. I am running Xubuntu 11.10 and still experiencing these random freezes on my T420. Subjectively seems like certain graphics-heavy applications/plugins make it happen more often. Also subjectively seems like some of the kernel options and phoronix drivers make it happen less often.

Today, for example, I had two freezes occur within 15 minutes of each other when using the new Google+ hangouts interface (on Firefox). I was able to SSH into the system, but had to reboot in order to get the display and input devices to work properly.

If there is anything I can share (logs, configuration) that will help, please let me know. Also, if grabbing an early Precise build would help, I'd also give that a try...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers